crossfire (1.75.0-3ubuntu1) jammy; urgency=medium

  * Do not built the Python plugin for now,
    as it is not compatible with Python 3.10

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 11 Feb 2022 17:24:50 +0000

crossfire (1.75.0-3build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 as default version

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 13 Jan 2022 19:10:41 +0000

crossfire (1.75.0-3) unstable; urgency=medium

  * Fix build-deps for building python plugin

 -- Kari Pahula <kaol@debian.org>  Tue, 26 Jan 2021 08:09:22 +0200

crossfire (1.75.0-2) unstable; urgency=medium

  * Fix arch:all build.

 -- Kari Pahula <kaol@debian.org>  Mon, 25 Jan 2021 08:44:46 +0200

crossfire (1.75.0-1) unstable; urgency=medium

  * Standards-Version 4.5.1
  * New upstream release.
  * Switch to use DH in debian/rules, dh compat 13.
  * Add a postinst script to convert python2 shelve files to python3.
  * Build with Python 3 (Closes: #936344)

 -- Kari Pahula <kaol@debian.org>  Sun, 24 Jan 2021 20:02:52 +0200

crossfire (1.71.0+dfsg1-2) unstable; urgency=medium

  * Standards-version 4.3.0, debhelper compat 10 (no changes necessary)
  * Remove obsolete patch autoconf-fixes-663612
  * Fix cdbs variable with dh_fixperms to really set directories under
    /var/games as games:games and use crossfire-server.postinst to correct
    earlier versions' directories.  (Closes: #920955)

 -- Kari Pahula <kaol@debian.org>  Fri, 08 Feb 2019 21:59:35 +0200

crossfire (1.71.0+dfsg1-1) unstable; urgency=medium

  * New upstream release
  * Repackaged as +dfsg1 to remove some included scripts and utilities
    with missing or non-DFSG free licenses.
  * Standards-Version: 3.9.5 (no changes necessary).
  * Wrote a systemd.service file.
  * Added libcurl-dev to build deps and enabled metaserver suppoert.

 -- Kari Pahula <kaol@debian.org>  Wed, 14 May 2014 18:41:29 +0300

crossfire (1.70.0-1) unstable; urgency=low

  * New upstream release (Closes: #663612)
  * Standards-Version 3.9.3 (no changes necessary).
  * Use dh-autoreconf.
  * Create /var/games/crossfire/account directory. (Closes: #602706)

 -- Kari Pahula <kaol@debian.org>  Mon, 09 Apr 2012 21:53:46 +0300

crossfire (1.60.0-2) unstable; urgency=low

  * Added 1.50.0-1.1's changelog entry to debian/changelog.

 -- Kari Pahula <kaol@debian.org>  Tue, 09 Aug 2011 13:54:24 +0300

crossfire (1.60.0-1) unstable; urgency=low

  * New upstream release
  * Standards-Version 3.9.2 (no changes necessary).
  * Build dependency on python-all-dev.

 -- Kari Pahula <kaol@debian.org>  Tue, 09 Aug 2011 12:44:25 +0300

crossfire (1.50.0-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Don't ship .la files (Closes: #621201).

 -- Luk Claes <luk@debian.org>  Sat, 11 Jun 2011 22:55:06 +0200

crossfire (1.50.0-1) unstable; urgency=low

  * New upstream release
    + crossedit removed by upstream
  * Source format 3.0 (quilt).
  * Standards-Version 3.8.4, debhelper compat 7
  * Use automake as build dep and recreate all Makefile.in files and the
    configure file at build time.
  * Use killall -q ... || true in logrotate (Closes: #475652)
  * Explicitly use python2.6-dev as build dep.
  * Build dep and depend on bzip2.

 -- Kari Pahula <kaol@debian.org>  Wed, 16 Jun 2010 20:12:28 +0300

crossfire (1.11.0-2) unstable; urgency=low

  * Added missing build-dep libtool (Closes: #464272)

 -- Kari Pahula <kaol@debian.org>  Wed, 06 Feb 2008 11:17:02 +0200

crossfire (1.11.0-1) unstable; urgency=low

  * New upstream release
  * Use policy version 3.7.3 and debhelper compat level 6.
  * Removed patches daemon_open_once and sighup_log_reopen since they've
    been included in the upstream source.
  * Removed linda-overrides.
  * Added a brief description to crossfire-config's man page's NAME
    section.

 -- Kari Pahula <kaol@debian.org>  Mon, 04 Feb 2008 06:07:53 +0200

crossfire (1.10.0-2) unstable; urgency=low

  * Patched SIGHUP handler to reopen log file (Closes: #232421)
  * Added a logrotate file.
  * Patched become_daemon() to not open the log file for a second time.
  * The -detach option was hacked in 1.9.1-3 to not really daemonize the
    process as that seemed to cause problems with the plugin system and
    s-s-d's --background option was used instead.  That issue seems to be
    solved now and -detach is used again now.

 -- Kari Pahula <kaol@debian.org>  Sun,  6 May 2007 00:29:33 +0300

crossfire (1.10.0-1) unstable; urgency=low

  * New upstream release
  * Removed code from crossfire-server's postinst that cleaned up the
    permission scheme used in versions prior to 1.8.0-2
  * Added code to crossfire-server's postinst to add an initial clockdata
    file

 -- Kari Pahula <kaol@debian.org>  Fri, 13 Apr 2007 23:24:27 +0300

crossfire (1.9.1-4) unstable; urgency=low

  * Fixed FTBFS by removing config.log in debian/rules clean (Closes: #379369)
  * Moved the /etc files from crossfire-common back to
    crossfire-server. (Closes: #338069)
  * Install crossfire-config to crossfire-server.

 -- Kari Pahula <kaol@debian.org>  Sun, 23 Jul 2006 14:40:56 +0300

crossfire (1.9.1-3) unstable; urgency=low

  * Made the plugin system work. (Closes: #379348)
  * Removed the useless file /usr/share/doc/crossfire-server/NEWS.gz

 -- Kari Pahula <kaol@debian.org>  Sun, 23 Jul 2006 03:27:53 +0300

crossfire (1.9.1-2) unstable; urgency=low

  * Added missing build-dependency: quilt

 -- Kari Pahula <kaol@debian.org>  Thu,  6 Jul 2006 16:27:00 +0300

crossfire (1.9.1-1) unstable; urgency=low

  * New upstream release

 -- Kari Pahula <kaol@debian.org>  Thu,  6 Jul 2006 02:27:38 +0300

crossfire (1.9.0-2) unstable; urgency=high

  * Patch socket/request to fix CVE-2006-1236: Arbitrary code execution in
    crossfire

 -- Kari Pahula <kaol@iki.fi>  Thu, 16 Mar 2006 11:48:35 +0200

crossfire (1.9.0-1) unstable; urgency=low

  * New upstream release
  * mv /usr/games/crossfire /usr/sbin/crossfire
  * Build-dep on libxaw7-dev, not libxaw8-dev

 -- Kari Pahula <kaol@iki.fi>  Tue,  7 Mar 2006 18:21:16 +0200

crossfire (1.8.0-2) unstable; urgency=low

  * Removed unneeded build-deps xlibs-dev and xutils.
  * crossfire-server: recommends: python
  * crossfire-common: arch: all
  * Removed the sticky bit from crossfire's /var dirs and executables,
    made them writable by gid games, run crossfire server as games:games
    from init.d script.  It's a saner way to fix #284892.

 -- Kari Pahula <kaol@iki.fi>  Sun, 18 Dec 2005 20:46:52 +0200

crossfire (1.8.0-1) unstable; urgency=low

  * New upstream release (closes: #286051, #232336, #297563)
  * Disabled watchdog.
  * Split common files of crossfire-edit and crossfire-server from
    crossfire-server to crossfire-common. (closes: #202379)
  * Put crossedit to /usr/games/, not /usr/sbin/.
  * Remove the debconf questions.  Those asked about upgrading from
    versions dating back to potato.  We don't need to support that
    anymore.  (closes: #276808, 306114)
  * Made crossfire-server and crossfire-edit sgid games and
    /var/log/crossfire and /var/games/crossfire to belong to group
    games. (closes: #284892)

 -- Kari Pahula <kaol@iki.fi>  Fri, 19 Aug 2005 21:19:52 +0300

crossfire (1.6.0.dfsg.1-4) unstable; urgency=low

  * New maintainer, sponsored upload
  * Repackaged orig.tar.gz, removed non-free file lib/adm/map_check
    (closes: #311439)

 -- Jaakko Niemi <liiwi@debian.org>  Wed,  1 Jun 2005 19:07:21 +0300

crossfire (1.6.0-3) unstable; urgency=low

  * Rerun libtoolize & friends (closes: #276510)

 -- Jaakko Niemi <liiwi@debian.org>  Thu, 14 Oct 2004 21:03:57 +0300

crossfire (1.6.0-2) unstable; urgency=low

  * fix executable localtions that broke when cdbs was taken
    into use. (thanks, simonrvn)
  * Update German debconf translation (closes: #274029)
  * Update French debconf translation (closes: #207120)

 -- Jaakko Niemi <liiwi@debian.org>  Sun, 10 Oct 2004 23:59:05 +0300

crossfire (1.6.0-1) unstable; urgency=low

  * New upstream release
  * Redid packaging with cdbs
  * Refactored {post,pre}inst not to require debconf (closes: #263351)
  * Started using po-debconf to manage translations

 -- Jaakko Niemi <liiwi@debian.org>  Sun,  8 Aug 2004 13:53:04 +0300

crossfire (1.4.0-4) unstable; urgency=low

  * update utils/config.{sub,guess} too. God dagnabit,
    do we really need these..

 -- Jaakko Niemi <liiwi@debian.org>  Mon, 18 Nov 2002 23:43:08 +0200

crossfire (1.4.0-3) unstable; urgency=low

  * fix #167844 for real.
  * update config.{sub,guess} (closes: #168524)

 -- Jaakko Niemi <liiwi@debian.org>  Mon, 11 Nov 2002 19:24:51 +0200

crossfire (1.4.0-2) unstable; urgency=low

  * install configuration files to /etc/crossfire (closes: 167844)

 -- Jaakko Niemi <liiwi@debian.org>  Tue,  5 Nov 2002 20:13:57 +0200

crossfire (1.4.0-1) unstable; urgency=low

  * New upstream release

 -- Jaakko Niemi <liiwi@debian.org>  Sat, 26 Oct 2002 22:19:50 +0300

crossfire (1.3.0-1) unstable; urgency=low

  * New upstream version

 -- Jaakko Niemi <liiwi@debian.org>  Thu, 15 Aug 2002 23:23:27 +0300

crossfire (1.1.0-1) unstable; urgency=low

  * New upstream version
  * Added russian debconf template (closes: #137628)
    Thanks, Ilgiz Kalmetev
  
 -- Jaakko Niemi <liiwi@debian.org>  Wed, 17 Apr 2002 22:23:17 +0300

crossfire (1.0.0-2) unstable; urgency=low

  * updated config.{sub,guess}
  * fixed postinst to deal with old logfile permissions
  * fixed localstatedir path in debian/rules

 -- Jaakko Niemi <liiwi@debian.org>  Sat, 23 Feb 2002 21:36:07 +0200

crossfire (1.0.0-1) unstable; urgency=low

  * New maintainer
  * new upstream version (closes: 104179)
  * server/init.c, don't nuke umask (closes: #57744)
  * segfaults when creating character fixed in new upstream (closes: #123430, #103575)
  * moved to use /var/games (closes: #115848, #110220)
  * no more annoying messages in new version (closes: #129010)
  * cut the long line in crossfire-doc description (closes: #130983)
  * Added build-deps. We don't care about potato anymore (closes: #70320)
  * init script now waits till server has stopped (closes: #87625)
  * more documentation added into -doc

 -- Jaakko Niemi <liiwi@debian.org>  Mon, 11 Feb 2002 01:38:29 +0200

crossfire (0.96.0-1) unstable; urgency=low

  * New upstream version

 -- Darren Benham <gecko@debian.org>  Fri, 23 Feb 2001 19:59:45 -0700

crossfire (0.95.5-2) unstable; urgency=low

  * This version is internal only.  It is used to generate 
    patches for upstream.

 -- Darren Benham <gecko@debian.org>  Tue,  3 Aug 1999 22:08:45 -0700

crossfire (0.95.5-1) unstable; urgency=low

  * New upstream version
  * Run under user nobody group games (closes: #61420)
  * Changed the "tmp" directory (closes: #54166)
  * Removed chown/chgrp from postinst (closes: #41747)

 -- Darren Benham <gecko@debian.org>  Tue,  3 Aug 1999 22:08:45 -0700

crossfire (0.95.4-2) unstable; urgency=low

  * Changed default logfile position to /var/log/crossfire.log
  * Setup update-rc.d to actually allow script to start

 -- Darren Benham <gecko@debian.org>  Tue,  3 Aug 1999 22:08:45 -0700

crossfire (0.95.4-1) unstable; urgency=low

  * New upstream version
  * Added an init.d script to autostart server

 -- Darren Benham <gecko@debian.org>  Tue,  3 Aug 1999 22:08:45 -0700

crossfire (0.95.3-2) unstable; urgency=high

  * Moved /usr/share/crossfire to /usr/share/games/crossfire
  * Changed suid to sgid which is proper for policy

 -- Darren Benham <gecko@debian.org>  Wed, 23 Jun 1999 18:38:47 -0800

crossfire (0.95.3-1) unstable; urgency=low

  * New upstream version
  	+ Biggest change for Debianers: the /var/lib directory was split
      to be more FHS compliant and I took advantage of that.  Maps 
      and artifacts and archtypes and all such files are now looked
      for in /usr/share/crossfire/*.  Players, highscores, temp maps
      and "unique item saves" are all that are stored in /var/lib/*
      now.
  * I am running a server at benham.net..  It's pretty much straight 
    out of the deb and I use it to test my deb.  It might, therefore,
    not be 100% reliable but it's a place to play.

 -- Darren Benham <gecko@debian.org>  Tue, 20 Apr 1999 22:38:47 -0700

crossfire (0.95.2-1) unstable; urgency=low

  * New upstream version

 -- Darren Benham <gecko@debian.org>  Sun, 21 Mar 1999 23:06:44 -0800

crossfire (0.95.0-2) frozen; urgency=low

  * Removed overlap with crossfire-maps (closes #28010)

 -- Darren Benham <gecko@debian.org>  Fri, 16 Oct 1998 12:02:31 -0700

crossfire (0.95.0-1) unstable; urgency=low

  * Initial Release.

 -- Darren Benham <gecko@debian.org>  Sun, 11 Oct 1998 18:12:42 -0700


